List schemas
GET/nevisidm/api/scim/v1/Schemas
Returns a paginated list of all SCIM schemas supported by the server. Each schema describes the attributes available for a particular resource type.
Request
Query Parameters
Start index for the listing. Default value: 1.
Maximum number of elements in the result list. Default value: 10.
Responses
- 200
- 400
Schemas retrieved successfully
- application/json
- Schema
- Example (from schema)
- User list
- Schemas endpoint
- ResourceTypes endpoint
- Bulk export format with users list
Schema
- Array [
- ]
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
Number of total results.
Number of results in a single response. By default 10. Controlled by 'count' request parameter.
Start index of current result. By default 1. Controlled by 'startIndex' request parameter.
Resources ScimBase[]required
Array of SCIM resources. For example array of users.
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"totalResults": 100,
"itemsPerPage": 10,
"startIndex": 1,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "100",
"userName": "[email protected]"
},
{}
]
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:ListResponse"],
"totalResults": 2,
"itemsPerPage": 10,
"startIndex": 1,
"Resources": [
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"id": "123456",
"externalId": "user-123",
"userName": "jdoe",
"name": {
"formatted": "John Doe",
"familyName": "Doe",
"givenName": "John"
},
"displayName": "John Doe",
"active": true,
"emails": [{"value": "[email protected]"}],
"meta": {
"resourceType": "User",
"created": "2024-01-15T10:30:00",
"lastModified": "2024-01-15T10:30:00",
"location": "https://idm.example.com/nevisidm/api/scim/v1/100/Users/100-1001"
}
}
]
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:ListResponse"],
"totalResults": 2,
"itemsPerPage": 10,
"startIndex": 1,
"Resources": [
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:Schema"],
"id": "urn:ietf:params:scim:schemas:core:2.0:User",
"name": "User",
"description": "SCIM provides a resource type for User resources.",
"attributes": [
{
"name": "userName",
"type": "string",
"multiValued": false,
"description": "Unique identifier for the User.",
"required": false,
"caseExact": true,
"mutability": "readWrite",
"returned": "default",
"uniqueness": "none"
},
{
"name": "name",
"type": "complex",
"subAttributes": [
{
"name": "familyName",
"type": "string",
"multiValued": false,
"required": false,
"caseExact": true,
"mutability": "readWrite",
"returned": "default",
"uniqueness": "none"
}
]
}
]
}
]
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:ListResponse"],
"totalResults": 1,
"itemsPerPage": 10,
"startIndex": 1,
"Resources": [
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:ResourceType"],
"id": "User",
"name": "User",
"description": "SCIM provides a resource type for User resources.",
"meta": {
"resourceType": "ResourceType",
"location": "https://idm.example.com/nevisidm/api/scim/v1/ResourceTypes/User"
},
"endpoint": "/{clientExtId}/Users",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User",
"schemaExtensions": [
{
"required": true,
"schema": "urn:nevis:idm:scim:schemas:v1:extension:User"
}
]
}
]
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:BulkRequest"],
"failOnErrors": 10,
"Operations": [
{
"method": "POST",
"path": "Users",
"data": {
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User",
"urn:nevis:idm:scim:schemas:v1:extension:User"
],
"userName": "jdoe"
}
},
{
"method": "POST",
"path": "Users",
"data": {
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User",
"urn:nevis:idm:scim:schemas:v1:extension:User"
],
"userName": "jdoe2"
}
}
]
}
Invalid SCIM request
- application/json
- Schema
- Example (from schema)
- Invalid pagination parameters
Schema
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current JSON structure.
status HttpStatusCoderequired
The HTTP status code.
Possible values: [invalidFilter, tooMany, uniqueness, mutability, invalidSyntax, invalidPath, noTarget, invalidValue, invalidVers, sensitive]
A SCIM detail error keyword.
A detailed human-readable message.
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"status": 400,
"scimType": "invalidValue",
"detail": "The requested user '999' does not exist in IDM database."
}
{
"schemas": ["urn:ietf:params:scim:api:messages:2.0:Error"],
"status": "BAD_REQUEST",
"scimType": "invalidValue",
"detail": "Start index must be positive"
}